package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag195;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT195Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT195Creator mt195Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt195Creator = (MT195Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt195Creator.getMtDateTag11a();
        mt195Creator.set("11S", tag11aValue);
    }
}
